#!/bin/sh

HLIMIT=14	# limiting magnitude [mag]

# cutoffs
eos_min=11.5

eos_max=13.5

for FILE in eos ; do
  awk '{print $10}' < $FILE.pro > $FILE.dat_H
  sort -n < $FILE.dat_H > $FILE.srt
  ./hist_cumulative.awk 25 < $FILE.srt > $FILE.dat_Hhc

  eval MIN=\$"$FILE"_min
  eval MAX=\$"$FILE"_max
  awk 'BEGIN{d1=ARGV[1]; d2=ARGV[2]; ARGV[1]=ARGV[2]="";}($1>d1) && ($1<d2) && ($2>1){print;}' $MIN $MAX < $FILE.dat_Hhc > $FILE.dat_fit
  echo -e "$MIN 0\n$MIN 1\n\n$MAX 0\n$MAX 1" > $FILE.dat_rng
  ./linlog.awk < $FILE.dat_fit > $FILE.dat_log
  ./linreg.awk < $FILE.dat_log > $FILE.lsm
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "f_" f "(x) = (10**(" $2 "*x + " $1 "))";}' $FILE < $FILE.lsm > $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "set label \"  {/=12 " sprintf("%.2f", $2) "\" at 12, f_" f "(12)";}' $FILE < $FILE.lsm >> $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print f " " $2}' $FILE < $FILE.lsm

#  awk 'BEGIN{H=ARGV[1]; ARGV[1]="";}($1<=H){print;}' $HLIMIT < $FILE.dat_H > $FILE.dat_Hlt$HLIMIT
done

#wc -l *.dat_Hlt$HLIMIT > wc.out

./eos-absmag_distribution-eos.plt

exit



awk '{print 2*$1/1000}' < R_m.dat > D.dat
./hist_cumulative.awk < D.dat > ND.dat

# Themis family @ 80 m/s
./THEMIS/grep_v2.awk 80 THEMIS/family.list.vdat | awk '{print 2*$11}' > Themis.dat

cat unstable.dat Griquas.dat Zhongguos.dat > resonant.dat 

for FILE in unstable Griquas Zhongguos Themis resonant ; do
  sort -nr < $FILE.dat > $FILE.dat_sort
  ./hist_cumulative.awk < $FILE.dat_sort > $FILE.dat_hc
done

awk '($1>10) && ($2>0){print;}' < resonant.dat_hc > resonant.dat_hc_10km
./loglog.awk < resonant.dat_hc_10km > resonant.dat_hc_10km_log
./linreg.awk < resonant.dat_hc_10km_log > resonant.dat_hc_10km_log_lsm

awk '($1>10) && ($2>0){print;}' < Zhongguos.dat_hc > Zhongguos.dat_hc_10km
./loglog.awk < Zhongguos.dat_hc_10km > Zhongguos.dat_hc_10km_log
./linreg.awk < Zhongguos.dat_hc_10km_log > Zhongguos.dat_hc_10km_log_lsm

awk '($1>=24) && ($1<=70){print;}' Themis.dat_hc | ./loglog.awk | ./linreg.awk > Themis.dat_hc_24-70_log_lsm

